From ec0b7a4cc5a5760ace26f84f09c8200f19b9f92d Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 07 2015 00:57:44 +0000
Subject: [PATCH 138/1001] Link to "my hubs" loosely in the nav bar.


---

diff --git a/hubs/app.py b/hubs/app.py
index 74ea4af..f5262d4 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -182,16 +182,12 @@ def login_required(function):
 @app.before_request
 def check_auth():
     flask.g.fedmsg_config = fedmsg_config
-    flask.g.auth = munch.Munch(
-        logged_in=False,
-        method=None,
-        id=None,
-    )
+    flask.g.auth = munch.Munch(logged_in=False)
     if 'openid' in flask.session:
         openid = flask.session.get('openid').strip('/').split('/')[-1]
         flask.g.auth.logged_in = True
-        flask.g.auth.method = u'openid'
         flask.g.auth.openid = openid
+        flask.g.auth.user = hubs.models.User.by_openid(session, openid)
         flask.g.auth.openid_url = flask.session.get('openid')
         flask.g.auth.fullname = flask.session.get('fullname', None)
         flask.g.auth.nickname = flask.session.get('nickname', None)
